---
title: URLUtilsReadOnly.protocol
slug: Web/API/URLUtilsReadOnly/protocol
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Property
  - Read-only
  - URL API
  - URLUtilsReadOnly
---
<p>{{ApiRef("URL API")}}{{SeeCompatTable}}</p>

<p>The <code><strong>URLUtilsReadOnly</strong></code><strong><code>.protocol</code></strong> read-only property returns a {{domxref("DOMString")}} containing the protocol scheme of the URL, including the final <code>':'</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.protocol;</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// In a Web worker, on the page https://developer.mozilla.org/en-US/URLUtilsReadOnly.href
var result = window.self.protocol; // Returns:'https:'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('URL', '#dom-url-protocol', 'URLUtilsReadOnly.protocol')}}</td>
			<td>{{Spec2('URL')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.URLUtilsReadOnly.protocol")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The {{domxref("URLUtilsReadOnly")}} interface it belongs to.</li>
</ul>
